petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCCompositeSetType

Sets the type of composite preconditioner.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCCompositeSetType(PC pc,PCCompositeType type)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - PC_COMPOSITE_ADDITIVE (default), PC_COMPOSITE_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL

### Options Database Key

-pc_composite_type <type: one of multiplicative, additive, special> -Sets composite preconditioner type

### Level

Developer

### Location

src/ksp/pc/impls/composite/composite.c

### Examples

src/ksp/ksp/examples/tutorials/ex71.c.html

### Implementations

PCCompositeSetType_Composite in src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages